Encoding ProfilesShow DRM Encoding Profile details

Show DRM Encoding Profile details

curl -X GET "https://api.5centscdn.com/v2/drm/profiles/7" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "id": 7,
  "serviceid": 10001,
  "name": "Widevine + PlayReady HD/SD",
  "key_mode": "hd_sd",
  "hd_height_threshold": 720,
  "key_systems": [
    "widevine",
    "playready"
  ],
  "protection_scheme": "cbcs",
  "created_at": "2026-09-22 12:10:00",
  "updated_at": "2026-09-22 12:10:00"
}
GET
/drm/profiles/{drmprofileid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
drmprofileidinteger
Required

Unique identifier of the DRM Encoding Profile.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

drmprofileidinteger
Required

Unique identifier of the DRM Encoding Profile.

Example:
7

Responses

resultstring

Operation outcome.

idinteger

Unique identifier of the DRM Encoding Profile.

serviceidinteger

Service account identifier that owns this profile. 0 for a platform-wide shared profile.

namestring

Friendly name of the profile.

key_modestring

Key-splitting mode.

Allowed values:singlehd_sdper_rendition
hd_height_thresholdinteger

Pixel height threshold used by the hd_sd and per_rendition key modes.

key_systemsstring[]

DRM systems enabled for assets encoded with this profile.

Allowed values:widevineplayreadyfairplaywiseplay
protection_schemestring

Common Encryption protection scheme applied to the content.

Allowed values:cbcs
created_atstring

Profile creation timestamp.

updated_atstring

Profile last-update timestamp.